(setq debug-on-error t)

(add-to-list 'load-path (expand-file-name "lisp" user-emacs-directory))
(add-to-list 'load-path (expand-file-name "site-lisp" user-emacs-directory))

;; from purcell
(require 'init-benchmarking)     ;; Measure startup time

(defconst *is-a-mac* (eq system-type 'darwin))

;; Adjust garbage collection thresholds during startup, and thereafter
(setq normal-gc-cons-threshold (* 20 1024 1024))
(let ((normal-gc-cons-threshold (* 20 1024 1024))
      (init-gc-cons-threshold (* 128 1024 1024)))
  (setq gc-cons-threshold init-gc-cons-threshold)
  (add-hook 'emacs-startup-hook
            (lambda () (setq gc-cons-threshold normal-gc-cons-threshold))))

(require 'init-utils)

(require 'init-elpa)

(require 'init-mytheme)

(require 'init-fonts)

(require 'init-basic)

(require 'init-recentf)

(require 'init-smex-ido)

(require 'init-window-numbering)

;;(require 'init-markdown)

(require 'init-yasnippet)

;;(require 'init-evil)

(require 'init-auto-complete)

(require 'init-misc)

(require 'init-orgmode)

(require 'init-magit)

(provide 'init-init)
(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(package-selected-packages
   (quote
    (magit fill-column-indicator auto-complete fuzzy yasnippet window-numbering smex solarized-theme fullframe seq))))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )
