;; https://github.com/jrblevin/markdown-mode
(when (maybe-require-package 'markdown-mode)

    (autoload 'markdown-mode "markdown-mode"
        "Major mode for editing Markdown files" t)
    (add-to-list 'auto-mode-alist '("\\.text\\'" . markdown-mode))
    (add-to-list 'auto-mode-alist '("\\.markdown\\'" . markdown-mode))
    (add-to-list 'auto-mode-alist '("\\.md\\'" . markdown-mode))

    (autoload 'gfm-mode "markdown-mode"
   "Major mode for editing GitHub Flavored Markdown files" t)
    (add-to-list 'auto-mode-alist '("README\\.md\\'" . gfm-mode))

    ;; 需安装pandoc
    (if (string= system-type "gnu/linux")
        (setq markdown-command "/usr/bin/pandoc")
      (setq markdown-command "D:/Program/Pandoc/pandoc.exe")))

;; support catalog
(maybe-require-package 'markdown-toc)

(provide 'init-markdown)
